use Tecajevi

/* 1.	Prikaite sve stupce iz tablice Tecaj. */
select * 
from Tecaj

/* 2.	Prikaite ifru, naziv i cijenu teaja iz tablice Tecaj. */
select Sifra, Naziv, Cijena 
from Tecaj

/* 3.	Prikaite ifru i naziv spojenu u jedan stupac (s razmakom izmeu), te cijenu teaja iz tablice Tecaj. Prvi stupac prikaite pod nazivom PuniNaziv. */
select Sifra + ' ' + Naziv as PuniNaziv, Cijena 
from Tecaj

/* 4.	Prikaite ifru, naziv i cijenu teaja s popustom iz tablice Tecaj. Cijenu s popustom izraunajte oduzimanjem popusta od pune cijene. Posljednji stupac prikaite pod nazivom CijenaSPopustom. */
select Sifra, Naziv, Cijena - Popust as CijenaSPopustom 
from Tecaj 

/* 5.	Prikaite ifru, naziv i ukupno trajanje teaja (ukupan broj sati) iz tablice Tecaj. Posljednji stupac prikaite pod nazivom Trajanje. */
select Sifra, Naziv, BrojDana * BrojSatiPoDanu as Trajanje 
from Tecaj 

/* 6.	Prikaite retke iz tablice teaj poredane po cijeni teaja. */
select Sifra, Naziv, Cijena 
from Tecaj
order by Cijena

/* 7.	Prikaite retke iz tablice teaj poredane po cijeni teaja  od najvee cijene prema najmanjoj. */
select Sifra, Naziv, Cijena 
from Tecaj
order by Cijena desc

/* 8.	Prikaite 5 najskupljih teajeva. */
select top 5 Sifra, Naziv, Cijena 
from Tecaj
order by Cijena desc

/* 9.	Prikaite popis svih moguih trajanja teajeva u danima. Svaka vrijednost u popisu smije biti navedena samo jednom. */
select distinct BrojDana
from Tecaj

/* 10.	Rezultat prethodnog upita poredajte od najmanje prema najveoj vrijednosti. */
select distinct BrojDana
from Tecaj
order by BrojDana asc

