/* 1.	Prikaite sve polaznike koji se zovu Tihomir. */
select *
from Polaznik
where Ime = 'Tihomir'

/* 2.	Prikaite sve polaznike koji stanuju u Zagrebu. Provjerite koja je odgovarajua vrijednost za stupac GradId tako da provjerite vrijednost stupca Id u tablici Grad gdje je naziv grada Zagreb. */
select * 
from Polaznik
where GradId = 1

/* 3.	Prikaite sve polaznike koji stanuju u Ulici grada Vukovara. Obratite panju na razliite mogunosti pisanja naziva ulice  Ulica grada Vukovara, Vukovarska... */
select * 
from Polaznik
where Adresa like '%Vukovar%'

/* 4.	Prikaite sve polaznike koji stanuju u Ulici grada Vukovara, ali samo u Zagrebu. */
select * 
from Polaznik
where Adresa like '%Vukovar%' and GradId = 1

/* 5.	Prikaite sve polaznike koji stanuju u Rijeci ili u Splitu. */
select * 
from Polaznik
where GradId = 64 or GradId = 315

/* 6.	Prikaite sve polaznike koji imaju e-mail adresu s .hr domenom. */
select * 
from Polaznik
where Email like '%.hr'

/* 7.	Dodajte provjeru da polaznici prikazani u prethodnom zadatku nemaju adresu s .t-com.hr domenom. */
select * 
from Polaznik
where Email like '%.hr' and Email not like '%t-com.hr'

/* 8.	Prikaite sve polaznike koji su roeni 1995. godine. Zadatak rijeite na ova tri naina: pomou operatora AND, pomou operatora BETWEEN i pomou funkcije YEAR. */
select * 
from Polaznik
where DatumRodjenja >= '1995-01-01' and DatumRodjenja <= '1995-12-31'

select * 
from Polaznik
where DatumRodjenja between '1995-01-01' and '1995-12-31'

select * 
from Polaznik
where year(DatumRodjenja) = 1995

/* 9.	Prikaite sve polaznike kod kojih nije postavljena vrijednost za polje Email. */
select * 
from Polaznik
where Email is null

/* 10.	U tablicu Polaznik unesite vlastite podatke pomou naredbe INSERT. Postavite odgovarajue vrijednosti za stupce GradId, TipId i UstanovaId. (Provjerite koje su odgovarajue vrijednsoti u tablicama Grad, Tip i Ustanova). */
insert into Polaznik 
(Ime, Prezime, Spol, OIB, DatumRodjenja, Email, Adresa, GradId, TipId, UstanovaId)
values
('Ivica', 'Ivi', 'M', '01234567890', '1996-10-01', null, 'Ulica lipa 10', 1, 1, 5)

/* 11.	Prikaite ime, prezime i inicijale za osobe iz tablice Polaznik. */
select Ime, Prezime, SUBSTRING(Ime, 1, 1) + '.' + SUBSTRING(Prezime, 1, 1) + '.' as Inicijali
from Polaznik

/* 12.	Prikaite ime, prezime i generirano korisniko ime za osobe iz tablice Polaznik. Korisniko ime se treba sastojati od prvog slova imena spojenog s prezimenom. Sva slova u korisnikom imenu trebaju biti mala. Hrvatske znakove koji se pojavljuju treba zamijeniti s odgovarajuim znakovima bez dijakritika. */
select Ime, Prezime, LOWER(SUBSTRING(Ime, 1, 1)) + REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(LOWER(Prezime), '', 'c'), '', 'c'), '', 's'), '', 'z'), '', '') as KorisnickoIme
from Polaznik

/* 13.	Za sve retke u tablici polaznik koji nemaju postavljeno polje Email, postavite ga pomou naredbe UPDATE na generirano korisniko ime iz prethodnog koraka kojem ete dodati @srce.hr. */
update Polaznik
set Email = LOWER(SUBSTRING(Ime, 1, 1)) + REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(LOWER(Prezime), '', 'c'), '', 'c'), '', 's'), '', 'z'), '', '') + '@srce.hr'
where Email is null

/* 14.	Uz svakog polaznika ispiite njegovu godinu roenja. */
select Ime, Prezime, YEAR(DatumRodjenja) as GodinaRodjenja
from Polaznik 

/* 15.	Uz svakog polaznika ispiite njegovu dob u godinama. Broj dana proteklih od danas do datuma roenja izraunajte pomou funkcije DATEDIFF.  */
select Ime, Prezime, YEAR(DatumRodjenja)as GodinaRodjenja, DATEDIFF(YEAR, DatumRodjenja, GETDATE()) as Dob
from Polaznik
