/* 1.	Napravite Kartezijev produkt tablica Ustanova i Polaznik. */
select *
from Ustanova, Polaznik

/* 2.	Napravite unutarnji spoj tablica Ustanova i Polaznik. */
select Naziv, Ime, Prezime
from Ustanova 
inner join Polaznik
on Polaznik.UstanovaId = Ustanova.Id

/* 3.	Napravite unutarnji spoj tablica Ustanova i Polaznik, ali u rezultatu prikaite samo one ustanove koje u nazivu sadre rije fakultet. Poredajte rezultat po nazivu ustanove, a zatim po imenu i prezimenu polaznika. */
select Naziv, Ime, Prezime
from Ustanova 
inner join Polaznik
on Polaznik.UstanovaId = Ustanova.Id
where Ustanova.Naziv like '%fakultet%'
order by Naziv, Ime, Prezime 

/* 4.	Napravite lijevi spoj tablica Ustanova i Polaznik, tako da budu prikazane i ustanove kojima ne pripada nijedan polaznik. */
select Naziv, Ime, Prezime
from Ustanova 
left join Polaznik
on Polaznik.UstanovaId = Ustanova.Id

/* 5.	Napravite desni spoj tablica Ustanova i Polaznik, tako da budu prikazani i polaznici koji ne pripadaju nijednoj ustanovi.  */
select Naziv, Ime, Prezime
from Ustanova 
right join Polaznik
on Polaznik.UstanovaId = Ustanova.Id

/* 6.	Napravite lijevi spoj tablica Ustanova i Polaznik, tako da budu prikazani i polaznici koji ne pripadaju nijednoj ustanovi. (Rezultat treba biti ekvivalentan onome iz toke 5.) */
select Naziv, Ime, Prezime
from Polaznik 
left join Ustanova 
on Polaznik.UstanovaId = Ustanova.Id

/* 7.	Napravite unutarnji spoj izmeu tablica Kategorija i Tecaj. */
select Kategorija.Naziv as Kategorija, Tecaj.Naziv as Tecaj
from Kategorija 
inner join Tecaj 
on Kategorija.Id = Tecaj.KategorijaId

/* 8.	Napravite unutarnji spoj tablice Kategorija same sa sobom, na nain da budu prikazani sljedei stupci: Id i Naziv nadreene kategorije, te zatim Id i Naziv podreene kategorije. */
select k2.NadKategorijaId, k1.Naziv as NadKategorija, k2.Id, k2.Naziv  
from Kategorija as k1 
inner join Kategorija as k2 
on k1.Id = k2.NadKategorijaId

/* 9.	Napravite unutarnji spoj tablice Kategorija same sa sobom, te zatim sa tablicom Tecaj. U rezultatu bi trebali biti sljedei stupci: Id i Naziv nadreene kategorije, zatim Id i Naziv podreene kategorije, te na kraju Id, Sifra i Naziv teaja. Poredajte rezultat po nazivu nadkategorije, zatim po nazivu podkategorije, te zatim po nazivu teaja. */
select k2.NadKategorijaId, k1.Naziv as NadKategorija, t.KategorijaId, k2.Naziv, t.Id, t.Sifra, t.Naziv  
from Kategorija as k1 
inner join Kategorija as k2 
on k1.Id = k2.NadKategorijaId
inner join Tecaj as t
on t.KategorijaId = k2.Id
order by k1.Naziv, k2.Naziv, t.Naziv

/* 10.	Napravite unutarnji spoj izmeu tablica Tecaj, Odrzavanje i Lokacija koji e odgovoriti na pitanje koji teajevi se odrzavaju u kojoj uionici. Od stupaca prikaite samo stupce iz tablica Tecaj i Ucionica. Pomou kljune rijei DISTINCT u rezultatu prikaite samo jedinstvene retke. */
select distinct t.Id as TecajId, t.Naziv as Tecaj, l.Id as UcionicaId, l.Naziv as Ucionica
from Tecaj as t
inner join Odrzavanje as o
on t.Id = o.TecajId
inner join Lokacija as l
on o.LokacijaId = l.Id